Skip to main content
POST
/
email_blasts
/
{id}
/
start
Start an email blast
curl --request POST \
  --url https://api.pocketflows.com/email_blasts/{id}/start \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "<string>",
  "email_template": "<string>",
  "status": "<string>",
  "scheduled_at": "<string>",
  "segment": "<string>",
  "email_address": "<string>",
  "statistics": {
    "emails": {
      "sent": 123,
      "delivered": 123,
      "opened": 123,
      "soft_bounced": 123,
      "hard_bounced": 123,
      "clicked": 123
    },
    "executions": {
      "total": 123,
      "pending": 123,
      "started": 123,
      "finished": 123,
      "errored": 123
    }
  },
  "attributed_revenue": "<string>",
  "enrolled_customers": [
    "<string>"
  ],
  "excluded_customers": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the email blast

Response

200 - application/json

The started EmailBlast object

id
string
required

The ID of the email blast

name
string
required

The name of the email blast

created_at
string
required

The time when the email blast was created in ISO 8601 format

email_template
string | null
required

The email template associated with the email blast

status
string
required

The status of the email blast. One of "draft", "scheduled", "started", or "stopped"

scheduled_at
string | null
required

The time when the email blast is scheduled to start in ISO 8601 format

segment
string | null
required

The segment attached to the email blast

email_address
string | null
required

The email address used to send the email blast. Will be the ID of an email-address-like object

statistics
object
required

The statistics of the email blast including email delivery metrics

attributed_revenue
string | null
required

The revenue attributed to the email blast

enrolled_customers
string[]

The customers enrolled in the email blast

excluded_customers
string[]

The customers excluded from the email blast